<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <developers>
        <developer>
            <id>TaehoonK</id>
            <name>Taehoon Kim</name>
            <email>taehoon.kim@pusan.ac.kr</email>
            <organization>Pusan National University</organization>
            <roles>
                <role>Module Maintainer</role>
                <role>Java Developer</role>
            </roles>
        </developer>
    </developers>
    <organization>
        <name>STEMLab in Pusan National University</name>
        <url>http://stem.pnu.edu</url>
    </organization>
    <properties>
        <jts.version>1.15.0</jts.version>
        <jar.name>simmApplication</jar.name>
        <lib.dir>libs</lib.dir>
    </properties>
    <groupId>edu.pnu.stem</groupId>
    <artifactId>IndoorMapmatching</artifactId>
    <version>1.0-SNAPSHOT</version>
    <packaging>jar</packaging>
   <!-- <packaging>jar</packaging> -->

    <build>
        <plugins>
            <!-- ======================================================= -->
            <!-- JAR packaging. -->
            <!-- ======================================================= -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
                <configuration>
                    <finalName>${jar.name}</finalName>
                    <outputDirectory>${project.basedir}</outputDirectory>
                    <archive>
                        <manifest>
                            <mainClass>edu.pnu.stem.indoor.gui.IndoorMapmatchingSim</mainClass>
                            <addClasspath>true</addClasspath>
                            <classpathPrefix>${lib.dir}/</classpathPrefix>
                        </manifest>
                    </archive>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>2.8</version>
                <executions>
                    <execution>
                        <id>copy-dependencies</id>
                        <phase>package</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <outputDirectory>${project.basedir}/${lib.dir}</outputDirectory>
                    <overWriteIfNewer>true</overWriteIfNewer>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.6</version>
                <inherited>false</inherited>
                <executions>
                    <execution>
                        <id>copy-resources</id>
                        <phase>install</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <outputDirectory>${basedir}/target</outputDirectory>
                    <resources>
                        <resource>
                            <filtering>true</filtering>
                            <directory>${basedir}</directory>
                            <includes>
                                <include>VERSION.txt</include>
                            </includes>
                        </resource>
                    </resources>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.7.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <fork>true</fork>
                    <encoding>utf-8</encoding>
                    <maxmem>512M</maxmem>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <repository>
            <id>boundless</id>
            <url>https://repo.boundlessgeo.com/main/</url>
        </repository>
        <repository>
            <id>osgeo</id>
            <name>Open Source Geospatial Foundation Repository</name>
            <url>https://download.osgeo.org/webdav/geotools/</url>
        </repository>
    </repositories>

    <dependencies>
        <!-- https://mvnrepository.com/artifact/org.geotools/gt-graph -->
        <dependency>
            <groupId>org.geotools</groupId>
            <artifactId>gt-graph</artifactId>
            <version>25.0</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>3.9</version>
        </dependency>
        <dependency>
            <groupId>com.github.davidmoten</groupId>
            <artifactId>hilbert-curve</artifactId>
            <version>0.1.3</version>
        </dependency>
        <dependency>
            <groupId>info.debatty</groupId>
            <artifactId>java-string-similarity</artifactId>
            <version>RELEASE</version>
        </dependency>
        <dependency>
            <groupId>cn.edu.zju.db.datagen</groupId>
            <artifactId>vita</artifactId>
            <version>1.0.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/Vita-1.0.0.jar</systemPath>
        </dependency>
    </dependencies>
    
</project>